
local GameTooltip = GameTooltip

local loc = {
	helmtip = "Toggles helmet model.",
	cloaktip = "Toggles cloak model.",
	}

local hcheck = CreateFrame("CheckButton", "HelmCheckBox", PaperDollFrame, "OptionsCheckButtonTemplate")
hcheck:ClearAllPoints()
hcheck:SetWidth(22)
hcheck:SetHeight(22)
hcheck:SetPoint("TOPLEFT", CharacterHeadSlot, "BOTTOMRIGHT", 5, 5)
hcheck:SetScript("OnClick", function () ShowHelm(not ShowingHelm()) end)
hcheck:SetScript("OnEnter", function (self)
 	GameTooltip:SetOwner(self, "ANCHOR_RIGHT")
	GameTooltip:SetText(loc.helmtip)
end)
hcheck:SetScript("OnLeave", function () GameTooltip:Hide() end)
hcheck:SetToplevel(true)

local ccheck = CreateFrame("CheckButton", "CloakCheckBox", PaperDollFrame, "OptionsCheckButtonTemplate")
ccheck:ClearAllPoints()
ccheck:SetWidth(22)
ccheck:SetHeight(22)
ccheck:SetPoint("TOPLEFT", CharacterBackSlot, "BOTTOMRIGHT", 5, 5)
ccheck:SetScript("OnClick", function () ShowCloak(not ShowingCloak()) end)
ccheck:SetScript("OnEnter", function (self)
	GameTooltip:SetOwner(self, "ANCHOR_RIGHT")
	GameTooltip:SetText(loc.cloaktip)
end)
ccheck:SetScript("OnLeave", function () GameTooltip:Hide() end)
ccheck:SetToplevel(true)

hooksecurefunc("ShowHelm", function(v)
	hcheck:SetChecked(v)
end)

hooksecurefunc("ShowCloak", function(v)
	ccheck:SetChecked(v)
end)

hooksecurefunc("ToggleCharacter", function()
hcheck:SetChecked(ShowingHelm())
ccheck:SetChecked(ShowingCloak())
end)

SLASH_HATCHECK1, SLASH_HATCHECK2 = '/hc', '/hatcheck';
local function handler(msg, editbox)
 if msg == 'cloak' then
  ShowCloak(not ShowingCloak());
  print("HatCheck: Toggling Cloak");
 elseif msg == 'helm' then
  ShowHelm(not ShowingHelm());
  print("HatCheck: Toggling Helm");
 elseif msg == 'hideall' then
  ShowHelm(0);
  ShowCloak(0);
  print("HatCheck: Hiding Cloak and Helm");
elseif msg == 'showall' then
  ShowHelm(1);
  ShowCloak(1);
  print("HatCheck: Showing Cloak and Helm");
 elseif msg == '' or msg == 'help' then
  print("");
  print("HatCheck Commands:");
  print("You can use /hc or /hatcheck");
  print("/hc or /hc help -- shows this message");
  print("/hc helm or /hch -- Toggles Helm");
  print("/hc cloak or /hcc -- Toggles Cloak");
  print("/hc hideall --  Hides both Helm and Cloak");
  print("/hc showall -- Shows both Helm and Cloak");
 end
end
SlashCmdList["HATCHECK"] = handler; -- Also a valid assignment strategy

SLASH_HCH1 = "/hch";
function SlashCmdList.HCH(msg, editbox)
  ShowHelm(not ShowingHelm());
  print("HatCheck: Toggling Helm");
end

SLASH_HCC1 = "/hcc";
function SlashCmdList.HCC(msg, editbox)
  ShowCloak(not ShowingCloak());
  print("HatCheck: Toggling Cloak");
end
